[SOLVED]liblua5.1-zip0 no longer available in Ubuntu 14.04.1

Post Reply
redt
Posts: 36
Joined: Mon Jul 12, 2010 7:19 pm

[SOLVED]liblua5.1-zip0 no longer available in Ubuntu 14.04.1

Post by redt » Sat Aug 16, 2014 5:35 am

Need help with the following:

When I tried to install liblua5.1-zip0 to fix the errors listed below

I got the message:
Package liblua5.1-zip0 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'liblua5.1-zip0' has no installation candidate
liblua5.1-filesystem0 is now available as lua-filesystem, but I have no idea what to do with it.
Note, selecting 'lua-filesystem' instead of 'liblua5.1-filesystem0'
lua-filesystem is already the newest version.
0 to upgrade, 0 to newly install, 0 to remove and 0 not to upgrade.
Errors I got:
[ ERROR ] cannot find Lua module zipLua error:[string "require "zip""]:1:
module 'zip' not found:
no field package.preload['zip']
no file './zip.lua'
no file '/usr/local/share/lua/5.1/zip.lua'
no file '/usr/local/share/lua/5.1/zip/init.lua'
no file '/usr/local/lib/lua/5.1/zip.lua'
no file '/usr/local/lib/lua/5.1/zip/init.lua'
no file '/usr/share/lua/5.1/zip.lua'
no file '/usr/share/lua/5.1/zip/init.lua'
no file './zip.so'
no file '/usr/local/lib/lua/5.1/zip.so'
no file '/usr/lib/x86_64-linux-gnu/lua/5.1/zip.so'
no file '/usr/lib/lua/5.1/zip.so'
no file '/usr/local/lib/lua/5.1/loadall.so'
[ ERROR ] cannot find Lua module lfs (Lua File System).Lua error:[string
"require "zip""]:1: module 'zip' not found:
no field package.preload['zip']
no file './zip.lua'
no file '/usr/local/share/lua/5.1/zip.lua'
no file '/usr/local/share/lua/5.1/zip/init.lua'
no file '/usr/local/lib/lua/5.1/zip.lua'
no file '/usr/local/lib/lua/5.1/zip/init.lua'
no file '/usr/share/lua/5.1/zip.lua'
no file '/usr/share/lua/5.1/zip/init.lua'
no file './zip.so'
no file '/usr/local/lib/lua/5.1/zip.so'
no file '/usr/lib/x86_64-linux-gnu/lua/5.1/zip.so'
no file '/usr/lib/lua/5.1/zip.so'
no file '/usr/local/lib/lua/5.1/loadall.so'
Thanks
Last edited by redt on Sat Aug 16, 2014 7:44 pm, edited 1 time in total.

fetaera
Posts: 191
Joined: Sat Aug 03, 2013 7:00 pm

Re: liblua5.1-zip0 no longer available in Ubuntu 14.04.1

Post by fetaera » Sat Aug 16, 2014 12:35 pm

I don't have access to an Ubuntu box right now, but running:

Code: Select all

apt-cache search lua|grep zip
Should return the package name.

fetaera
Posts: 191
Joined: Sat Aug 03, 2013 7:00 pm

Re: liblua5.1-zip0 no longer available in Ubuntu 14.04.1

Post by fetaera » Sat Aug 16, 2014 12:37 pm

You might also find that installing lua-zip will pull it in as a dependency. It certainly does on Debian.

redt
Posts: 36
Joined: Mon Jul 12, 2010 7:19 pm

Re: liblua5.1-zip0 no longer available in Ubuntu 14.04.1

Post by redt » Sat Aug 16, 2014 6:46 pm

Great! I did both and the problem is solved.

Thanks so much Fetaera.

Post Reply

Who is online

Users browsing this forum: Google [Bot] and 7 guests